﻿
function Liquid_Wealth:BuildIcons(Char) --Builds the Players Icon Texture file path
    local Gender={"N/A","Male","Female"};
    local texLocationClass="Interface\\Addons\\Liquid_Wealth\\Images\\Class\\";
	local texLocationRaces="Interface\\Addons\\Liquid_Wealth\\Images\\Race\\";
	local texExt = ".blp"
    local texLocationRace="Interface\\Icons\\";
    local texString="";
    local sex,race,class=strsplit(":",Char);
    --texString="|T"..texLocationRace..race.."-"..Gender[tonumber(sex)]..".tga:15|t".."|T"..texLocationClass..class.."_icon.tga:15|t";
	if (race == "Blood Elf") then
		texString="|T"..texLocationRace.."Achievement_Character_Bloodelf_"..Gender[tonumber(sex)]..":15|t".."|T"..texLocationClass..class..texExt..":15|t";
	elseif (race == "Night Elf") then
		texString="|T"..texLocationRace.."Achievement_Character_Nightelf_"..Gender[tonumber(sex)]..":15|t".."|T"..texLocationClass..class..texExt..":15|t";
	elseif (race == "Goblin") then -- There is no Achievement for this race so its not in the Achievement frame
		texString="|T"..texLocationRaces..race.."-"..Gender[tonumber(sex)]..texExt..":15|t".."|T"..texLocationClass..class..texExt..":15|t";
	elseif (race == "Worgan") then -- There is no Achievement for this race so its not in the Achievement frame
		texString="|T"..texLocationRaces..race.."-"..Gender[tonumber(sex)]..texExt..":15|t".."|T"..texLocationClass..class..texExt..":15|t";
	else
		texString="|T"..texLocationRace.."Achievement_Character_"..race.."_"..Gender[tonumber(sex)]..":15|t".."|T"..texLocationClass..class..texExt..":15|t";
	end
    return texString;
end

function Liquid_Wealth:BuildBagIcons(itemID,ItemTexturePath)
	if (itemID=="Bank") or (itemID=="Backpack") then --Show BagIcon for bank or backup
			return "|TInterface\\Icons\\INV_Misc_Bag_08:15|t";
	elseif not (ItemTexturePath == nil) then
		return "|T"..ItemTexturePath..":15|t";
	--elseif (itemID=="NONE") or (itemID==nil) or (itemID=="") or (itemID==0) then
	else
		return "|TInterface\\GossipFrame\\ActiveQuestIcon:15|t"; --Show QuestIcon if no bag is dected
	end
end	

function Liquid_Wealth:ClassColor(Char)
	local _,_,class=strsplit(":",Char)
	if (class == "Death Knight") then
		classcolor = "C41F3B"
	elseif (class == "Druid") then
		classcolor = "FF7D0A"
	elseif (class == "Hunter") then
		classcolor = "ABD473"
	elseif (class == "Mage") then
		classcolor = "69CCF0"
	elseif (class == "Paladin") then
		classcolor = "F58CBA"
	elseif (class == "Priest") then
		classcolor = "FFFFFF"
	elseif (class == "Rogue") then
		classcolor = "FFF569"
	elseif (class == "Shaman") then
		classcolor = "0070DE"
	elseif (class == "Warlock") then
		classcolor = "9482C9"
	elseif (class == "Warrior") then
		classcolor = "C79C6E"
	end
	return "FF"..classcolor
end
